<?php   

namespace Concrete\Package\WebinstinctFilesetAttribute;
use Package;
use BlockType;
use SinglePage;
use Loader;
use Config;
use Concrete\Core\Attribute\Type as AttributeType;
use Concrete\Core\Attribute\Key\Category  as AttributeKeyCategory;


defined('C5_EXECUTE') or die(_("Access Denied."));

class Controller extends Package {

	protected $pkgHandle = 'webinstinct_fileset_attribute';
	protected $appVersionRequired = '5.7.0.4';
	protected $pkgVersion = '1.0';
	
	public function getPackageDescription() {
		return t('Add a fileset attribute to your site');
	}
	
	public function getPackageName() {
		return t('Fileset Attribute');
	}

    public function on_start() {
    }
    
	public function install() {
		$pkg = parent::install();
        $type = AttributeType::add("fileset","Fileset",$pkg);
        
        // associate this attribute type with all category keys
		$list = AttributeKeyCategory::getList();
		foreach($list as $cat) {
			$cat->associateAttributeKeyType($type);
		}
	}
	
	public function upgrade(){
		parent::upgrade(); 
	}

	public function uninstall(){
        // remove the attribute
        $at = AttributeType::getByHandle('fileset');
        $db = Loader::db();
        
        // loop through all AttributeKeys of this AttributeType
        $r = $db->Execute("SELECT akID FROM AttributeKeys WHERE atID=?",array($at->getAttributeTypeID()));
        while ($row = $r->FetchRow()) {            
            // delete the CollectionAttributeValues
            $db->Execute("DELETE FROM CollectionAttributeValues WHERE akID=?",array($row['akID'])); 
            $db->Execute("DELETE FROM AttributeKeys WHERE akID=?",array($row['akID'])); 
        }                

        $at->delete();
        
        // remove the table
        $db->Execute("DROP TABLE IF EXISTS atFileset;");
        
        $pkg = parent::uninstall();
  	}
}
?>